Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Network14.224.0.0/12
Usable hosts1,048,574
Subnet mask255.240.0.0
Addresses1,048,576
Network address
14.224.0.0
Broadcast address
14.239.255.255
First usable
14.224.0.1
Last usable
14.239.255.254
Usable hosts
1,048,574 (1,048,576 less the network and broadcast addresses)
Subnet mask
255.240.0.0
Wildcard mask
0.15.255.255 (Cisco ACLs, OSPF)
Prefix length
/12
Type
Public public
Old class
A (default /8)
As numbers
Hex 0EE00000 · Integer 249561088 to 250609663
Reverse DNS zones
224.14.in-addr.arpa
225.14.in-addr.arpa
226.14.in-addr.arpa
227.14.in-addr.arpa
228.14.in-addr.arpa
229.14.in-addr.arpa
230.14.in-addr.arpa
231.14.in-addr.arpa
232.14.in-addr.arpa
233.14.in-addr.arpa
234.14.in-addr.arpa
235.14.in-addr.arpa
236.14.in-addr.arpa
237.14.in-addr.arpa
238.14.in-addr.arpa
239.14.in-addr.arpa
/12 is not on a 8-bit boundary, so it takes 16 /16 zones.
Binary
Binary view
Binary (network bits bold, host bits grey)Dotted
Address00001110.11100000.00000000.0000000014.224.0.0
Subnet mask11111111.11110000.00000000.00000000255.240.0.0
Network00001110.11100000.00000000.0000000014.224.0.0
Broadcast00001110.11101111.11111111.1111111114.239.255.255
Split into smaller subnets/24

14.224.0.0/12 makes 4,096 subnets of /24; the first 256 are listed.

Subnets
#SubnetUsable hosts rangeBroadcastHosts
114.224.0.0/2414.224.0.1 to 14.224.0.25414.224.0.255254
214.224.1.0/2414.224.1.1 to 14.224.1.25414.224.1.255254
314.224.2.0/2414.224.2.1 to 14.224.2.25414.224.2.255254
414.224.3.0/2414.224.3.1 to 14.224.3.25414.224.3.255254
514.224.4.0/2414.224.4.1 to 14.224.4.25414.224.4.255254
614.224.5.0/2414.224.5.1 to 14.224.5.25414.224.5.255254
714.224.6.0/2414.224.6.1 to 14.224.6.25414.224.6.255254
814.224.7.0/2414.224.7.1 to 14.224.7.25414.224.7.255254
914.224.8.0/2414.224.8.1 to 14.224.8.25414.224.8.255254
1014.224.9.0/2414.224.9.1 to 14.224.9.25414.224.9.255254
1114.224.10.0/2414.224.10.1 to 14.224.10.25414.224.10.255254
1214.224.11.0/2414.224.11.1 to 14.224.11.25414.224.11.255254
1314.224.12.0/2414.224.12.1 to 14.224.12.25414.224.12.255254
1414.224.13.0/2414.224.13.1 to 14.224.13.25414.224.13.255254
1514.224.14.0/2414.224.14.1 to 14.224.14.25414.224.14.255254
1614.224.15.0/2414.224.15.1 to 14.224.15.25414.224.15.255254
1714.224.16.0/2414.224.16.1 to 14.224.16.25414.224.16.255254
1814.224.17.0/2414.224.17.1 to 14.224.17.25414.224.17.255254
1914.224.18.0/2414.224.18.1 to 14.224.18.25414.224.18.255254
2014.224.19.0/2414.224.19.1 to 14.224.19.25414.224.19.255254
2114.224.20.0/2414.224.20.1 to 14.224.20.25414.224.20.255254
2214.224.21.0/2414.224.21.1 to 14.224.21.25414.224.21.255254
2314.224.22.0/2414.224.22.1 to 14.224.22.25414.224.22.255254
2414.224.23.0/2414.224.23.1 to 14.224.23.25414.224.23.255254
2514.224.24.0/2414.224.24.1 to 14.224.24.25414.224.24.255254
2614.224.25.0/2414.224.25.1 to 14.224.25.25414.224.25.255254
2714.224.26.0/2414.224.26.1 to 14.224.26.25414.224.26.255254
2814.224.27.0/2414.224.27.1 to 14.224.27.25414.224.27.255254
2914.224.28.0/2414.224.28.1 to 14.224.28.25414.224.28.255254
3014.224.29.0/2414.224.29.1 to 14.224.29.25414.224.29.255254
3114.224.30.0/2414.224.30.1 to 14.224.30.25414.224.30.255254
3214.224.31.0/2414.224.31.1 to 14.224.31.25414.224.31.255254
3314.224.32.0/2414.224.32.1 to 14.224.32.25414.224.32.255254
3414.224.33.0/2414.224.33.1 to 14.224.33.25414.224.33.255254
3514.224.34.0/2414.224.34.1 to 14.224.34.25414.224.34.255254
3614.224.35.0/2414.224.35.1 to 14.224.35.25414.224.35.255254
3714.224.36.0/2414.224.36.1 to 14.224.36.25414.224.36.255254
3814.224.37.0/2414.224.37.1 to 14.224.37.25414.224.37.255254
3914.224.38.0/2414.224.38.1 to 14.224.38.25414.224.38.255254
4014.224.39.0/2414.224.39.1 to 14.224.39.25414.224.39.255254
4114.224.40.0/2414.224.40.1 to 14.224.40.25414.224.40.255254
4214.224.41.0/2414.224.41.1 to 14.224.41.25414.224.41.255254
4314.224.42.0/2414.224.42.1 to 14.224.42.25414.224.42.255254
4414.224.43.0/2414.224.43.1 to 14.224.43.25414.224.43.255254
4514.224.44.0/2414.224.44.1 to 14.224.44.25414.224.44.255254
4614.224.45.0/2414.224.45.1 to 14.224.45.25414.224.45.255254
4714.224.46.0/2414.224.46.1 to 14.224.46.25414.224.46.255254
4814.224.47.0/2414.224.47.1 to 14.224.47.25414.224.47.255254
4914.224.48.0/2414.224.48.1 to 14.224.48.25414.224.48.255254
5014.224.49.0/2414.224.49.1 to 14.224.49.25414.224.49.255254
5114.224.50.0/2414.224.50.1 to 14.224.50.25414.224.50.255254
5214.224.51.0/2414.224.51.1 to 14.224.51.25414.224.51.255254
5314.224.52.0/2414.224.52.1 to 14.224.52.25414.224.52.255254
5414.224.53.0/2414.224.53.1 to 14.224.53.25414.224.53.255254
5514.224.54.0/2414.224.54.1 to 14.224.54.25414.224.54.255254
5614.224.55.0/2414.224.55.1 to 14.224.55.25414.224.55.255254
5714.224.56.0/2414.224.56.1 to 14.224.56.25414.224.56.255254
5814.224.57.0/2414.224.57.1 to 14.224.57.25414.224.57.255254
5914.224.58.0/2414.224.58.1 to 14.224.58.25414.224.58.255254
6014.224.59.0/2414.224.59.1 to 14.224.59.25414.224.59.255254
6114.224.60.0/2414.224.60.1 to 14.224.60.25414.224.60.255254
6214.224.61.0/2414.224.61.1 to 14.224.61.25414.224.61.255254
6314.224.62.0/2414.224.62.1 to 14.224.62.25414.224.62.255254
6414.224.63.0/2414.224.63.1 to 14.224.63.25414.224.63.255254
6514.224.64.0/2414.224.64.1 to 14.224.64.25414.224.64.255254
6614.224.65.0/2414.224.65.1 to 14.224.65.25414.224.65.255254
6714.224.66.0/2414.224.66.1 to 14.224.66.25414.224.66.255254
6814.224.67.0/2414.224.67.1 to 14.224.67.25414.224.67.255254
6914.224.68.0/2414.224.68.1 to 14.224.68.25414.224.68.255254
7014.224.69.0/2414.224.69.1 to 14.224.69.25414.224.69.255254
7114.224.70.0/2414.224.70.1 to 14.224.70.25414.224.70.255254
7214.224.71.0/2414.224.71.1 to 14.224.71.25414.224.71.255254
7314.224.72.0/2414.224.72.1 to 14.224.72.25414.224.72.255254
7414.224.73.0/2414.224.73.1 to 14.224.73.25414.224.73.255254
7514.224.74.0/2414.224.74.1 to 14.224.74.25414.224.74.255254
7614.224.75.0/2414.224.75.1 to 14.224.75.25414.224.75.255254
7714.224.76.0/2414.224.76.1 to 14.224.76.25414.224.76.255254
7814.224.77.0/2414.224.77.1 to 14.224.77.25414.224.77.255254
7914.224.78.0/2414.224.78.1 to 14.224.78.25414.224.78.255254
8014.224.79.0/2414.224.79.1 to 14.224.79.25414.224.79.255254
8114.224.80.0/2414.224.80.1 to 14.224.80.25414.224.80.255254
8214.224.81.0/2414.224.81.1 to 14.224.81.25414.224.81.255254
8314.224.82.0/2414.224.82.1 to 14.224.82.25414.224.82.255254
8414.224.83.0/2414.224.83.1 to 14.224.83.25414.224.83.255254
8514.224.84.0/2414.224.84.1 to 14.224.84.25414.224.84.255254
8614.224.85.0/2414.224.85.1 to 14.224.85.25414.224.85.255254
8714.224.86.0/2414.224.86.1 to 14.224.86.25414.224.86.255254
8814.224.87.0/2414.224.87.1 to 14.224.87.25414.224.87.255254
8914.224.88.0/2414.224.88.1 to 14.224.88.25414.224.88.255254
9014.224.89.0/2414.224.89.1 to 14.224.89.25414.224.89.255254
9114.224.90.0/2414.224.90.1 to 14.224.90.25414.224.90.255254
9214.224.91.0/2414.224.91.1 to 14.224.91.25414.224.91.255254
9314.224.92.0/2414.224.92.1 to 14.224.92.25414.224.92.255254
9414.224.93.0/2414.224.93.1 to 14.224.93.25414.224.93.255254
9514.224.94.0/2414.224.94.1 to 14.224.94.25414.224.94.255254
9614.224.95.0/2414.224.95.1 to 14.224.95.25414.224.95.255254
9714.224.96.0/2414.224.96.1 to 14.224.96.25414.224.96.255254
9814.224.97.0/2414.224.97.1 to 14.224.97.25414.224.97.255254
9914.224.98.0/2414.224.98.1 to 14.224.98.25414.224.98.255254
10014.224.99.0/2414.224.99.1 to 14.224.99.25414.224.99.255254
10114.224.100.0/2414.224.100.1 to 14.224.100.25414.224.100.255254
10214.224.101.0/2414.224.101.1 to 14.224.101.25414.224.101.255254
10314.224.102.0/2414.224.102.1 to 14.224.102.25414.224.102.255254
10414.224.103.0/2414.224.103.1 to 14.224.103.25414.224.103.255254
10514.224.104.0/2414.224.104.1 to 14.224.104.25414.224.104.255254
10614.224.105.0/2414.224.105.1 to 14.224.105.25414.224.105.255254
10714.224.106.0/2414.224.106.1 to 14.224.106.25414.224.106.255254
10814.224.107.0/2414.224.107.1 to 14.224.107.25414.224.107.255254
10914.224.108.0/2414.224.108.1 to 14.224.108.25414.224.108.255254
11014.224.109.0/2414.224.109.1 to 14.224.109.25414.224.109.255254
11114.224.110.0/2414.224.110.1 to 14.224.110.25414.224.110.255254
11214.224.111.0/2414.224.111.1 to 14.224.111.25414.224.111.255254
11314.224.112.0/2414.224.112.1 to 14.224.112.25414.224.112.255254
11414.224.113.0/2414.224.113.1 to 14.224.113.25414.224.113.255254
11514.224.114.0/2414.224.114.1 to 14.224.114.25414.224.114.255254
11614.224.115.0/2414.224.115.1 to 14.224.115.25414.224.115.255254
11714.224.116.0/2414.224.116.1 to 14.224.116.25414.224.116.255254
11814.224.117.0/2414.224.117.1 to 14.224.117.25414.224.117.255254
11914.224.118.0/2414.224.118.1 to 14.224.118.25414.224.118.255254
12014.224.119.0/2414.224.119.1 to 14.224.119.25414.224.119.255254
12114.224.120.0/2414.224.120.1 to 14.224.120.25414.224.120.255254
12214.224.121.0/2414.224.121.1 to 14.224.121.25414.224.121.255254
12314.224.122.0/2414.224.122.1 to 14.224.122.25414.224.122.255254
12414.224.123.0/2414.224.123.1 to 14.224.123.25414.224.123.255254
12514.224.124.0/2414.224.124.1 to 14.224.124.25414.224.124.255254
12614.224.125.0/2414.224.125.1 to 14.224.125.25414.224.125.255254
12714.224.126.0/2414.224.126.1 to 14.224.126.25414.224.126.255254
12814.224.127.0/2414.224.127.1 to 14.224.127.25414.224.127.255254
12914.224.128.0/2414.224.128.1 to 14.224.128.25414.224.128.255254
13014.224.129.0/2414.224.129.1 to 14.224.129.25414.224.129.255254
13114.224.130.0/2414.224.130.1 to 14.224.130.25414.224.130.255254
13214.224.131.0/2414.224.131.1 to 14.224.131.25414.224.131.255254
13314.224.132.0/2414.224.132.1 to 14.224.132.25414.224.132.255254
13414.224.133.0/2414.224.133.1 to 14.224.133.25414.224.133.255254
13514.224.134.0/2414.224.134.1 to 14.224.134.25414.224.134.255254
13614.224.135.0/2414.224.135.1 to 14.224.135.25414.224.135.255254
13714.224.136.0/2414.224.136.1 to 14.224.136.25414.224.136.255254
13814.224.137.0/2414.224.137.1 to 14.224.137.25414.224.137.255254
13914.224.138.0/2414.224.138.1 to 14.224.138.25414.224.138.255254
14014.224.139.0/2414.224.139.1 to 14.224.139.25414.224.139.255254
14114.224.140.0/2414.224.140.1 to 14.224.140.25414.224.140.255254
14214.224.141.0/2414.224.141.1 to 14.224.141.25414.224.141.255254
14314.224.142.0/2414.224.142.1 to 14.224.142.25414.224.142.255254
14414.224.143.0/2414.224.143.1 to 14.224.143.25414.224.143.255254
14514.224.144.0/2414.224.144.1 to 14.224.144.25414.224.144.255254
14614.224.145.0/2414.224.145.1 to 14.224.145.25414.224.145.255254
14714.224.146.0/2414.224.146.1 to 14.224.146.25414.224.146.255254
14814.224.147.0/2414.224.147.1 to 14.224.147.25414.224.147.255254
14914.224.148.0/2414.224.148.1 to 14.224.148.25414.224.148.255254
15014.224.149.0/2414.224.149.1 to 14.224.149.25414.224.149.255254
15114.224.150.0/2414.224.150.1 to 14.224.150.25414.224.150.255254
15214.224.151.0/2414.224.151.1 to 14.224.151.25414.224.151.255254
15314.224.152.0/2414.224.152.1 to 14.224.152.25414.224.152.255254
15414.224.153.0/2414.224.153.1 to 14.224.153.25414.224.153.255254
15514.224.154.0/2414.224.154.1 to 14.224.154.25414.224.154.255254
15614.224.155.0/2414.224.155.1 to 14.224.155.25414.224.155.255254
15714.224.156.0/2414.224.156.1 to 14.224.156.25414.224.156.255254
15814.224.157.0/2414.224.157.1 to 14.224.157.25414.224.157.255254
15914.224.158.0/2414.224.158.1 to 14.224.158.25414.224.158.255254
16014.224.159.0/2414.224.159.1 to 14.224.159.25414.224.159.255254
16114.224.160.0/2414.224.160.1 to 14.224.160.25414.224.160.255254
16214.224.161.0/2414.224.161.1 to 14.224.161.25414.224.161.255254
16314.224.162.0/2414.224.162.1 to 14.224.162.25414.224.162.255254
16414.224.163.0/2414.224.163.1 to 14.224.163.25414.224.163.255254
16514.224.164.0/2414.224.164.1 to 14.224.164.25414.224.164.255254
16614.224.165.0/2414.224.165.1 to 14.224.165.25414.224.165.255254
16714.224.166.0/2414.224.166.1 to 14.224.166.25414.224.166.255254
16814.224.167.0/2414.224.167.1 to 14.224.167.25414.224.167.255254
16914.224.168.0/2414.224.168.1 to 14.224.168.25414.224.168.255254
17014.224.169.0/2414.224.169.1 to 14.224.169.25414.224.169.255254
17114.224.170.0/2414.224.170.1 to 14.224.170.25414.224.170.255254
17214.224.171.0/2414.224.171.1 to 14.224.171.25414.224.171.255254
17314.224.172.0/2414.224.172.1 to 14.224.172.25414.224.172.255254
17414.224.173.0/2414.224.173.1 to 14.224.173.25414.224.173.255254
17514.224.174.0/2414.224.174.1 to 14.224.174.25414.224.174.255254
17614.224.175.0/2414.224.175.1 to 14.224.175.25414.224.175.255254
17714.224.176.0/2414.224.176.1 to 14.224.176.25414.224.176.255254
17814.224.177.0/2414.224.177.1 to 14.224.177.25414.224.177.255254
17914.224.178.0/2414.224.178.1 to 14.224.178.25414.224.178.255254
18014.224.179.0/2414.224.179.1 to 14.224.179.25414.224.179.255254
18114.224.180.0/2414.224.180.1 to 14.224.180.25414.224.180.255254
18214.224.181.0/2414.224.181.1 to 14.224.181.25414.224.181.255254
18314.224.182.0/2414.224.182.1 to 14.224.182.25414.224.182.255254
18414.224.183.0/2414.224.183.1 to 14.224.183.25414.224.183.255254
18514.224.184.0/2414.224.184.1 to 14.224.184.25414.224.184.255254
18614.224.185.0/2414.224.185.1 to 14.224.185.25414.224.185.255254
18714.224.186.0/2414.224.186.1 to 14.224.186.25414.224.186.255254
18814.224.187.0/2414.224.187.1 to 14.224.187.25414.224.187.255254
18914.224.188.0/2414.224.188.1 to 14.224.188.25414.224.188.255254
19014.224.189.0/2414.224.189.1 to 14.224.189.25414.224.189.255254
19114.224.190.0/2414.224.190.1 to 14.224.190.25414.224.190.255254
19214.224.191.0/2414.224.191.1 to 14.224.191.25414.224.191.255254
19314.224.192.0/2414.224.192.1 to 14.224.192.25414.224.192.255254
19414.224.193.0/2414.224.193.1 to 14.224.193.25414.224.193.255254
19514.224.194.0/2414.224.194.1 to 14.224.194.25414.224.194.255254
19614.224.195.0/2414.224.195.1 to 14.224.195.25414.224.195.255254
19714.224.196.0/2414.224.196.1 to 14.224.196.25414.224.196.255254
19814.224.197.0/2414.224.197.1 to 14.224.197.25414.224.197.255254
19914.224.198.0/2414.224.198.1 to 14.224.198.25414.224.198.255254
20014.224.199.0/2414.224.199.1 to 14.224.199.25414.224.199.255254
20114.224.200.0/2414.224.200.1 to 14.224.200.25414.224.200.255254
20214.224.201.0/2414.224.201.1 to 14.224.201.25414.224.201.255254
20314.224.202.0/2414.224.202.1 to 14.224.202.25414.224.202.255254
20414.224.203.0/2414.224.203.1 to 14.224.203.25414.224.203.255254
20514.224.204.0/2414.224.204.1 to 14.224.204.25414.224.204.255254
20614.224.205.0/2414.224.205.1 to 14.224.205.25414.224.205.255254
20714.224.206.0/2414.224.206.1 to 14.224.206.25414.224.206.255254
20814.224.207.0/2414.224.207.1 to 14.224.207.25414.224.207.255254
20914.224.208.0/2414.224.208.1 to 14.224.208.25414.224.208.255254
21014.224.209.0/2414.224.209.1 to 14.224.209.25414.224.209.255254
21114.224.210.0/2414.224.210.1 to 14.224.210.25414.224.210.255254
21214.224.211.0/2414.224.211.1 to 14.224.211.25414.224.211.255254
21314.224.212.0/2414.224.212.1 to 14.224.212.25414.224.212.255254
21414.224.213.0/2414.224.213.1 to 14.224.213.25414.224.213.255254
21514.224.214.0/2414.224.214.1 to 14.224.214.25414.224.214.255254
21614.224.215.0/2414.224.215.1 to 14.224.215.25414.224.215.255254
21714.224.216.0/2414.224.216.1 to 14.224.216.25414.224.216.255254
21814.224.217.0/2414.224.217.1 to 14.224.217.25414.224.217.255254
21914.224.218.0/2414.224.218.1 to 14.224.218.25414.224.218.255254
22014.224.219.0/2414.224.219.1 to 14.224.219.25414.224.219.255254
22114.224.220.0/2414.224.220.1 to 14.224.220.25414.224.220.255254
22214.224.221.0/2414.224.221.1 to 14.224.221.25414.224.221.255254
22314.224.222.0/2414.224.222.1 to 14.224.222.25414.224.222.255254
22414.224.223.0/2414.224.223.1 to 14.224.223.25414.224.223.255254
22514.224.224.0/2414.224.224.1 to 14.224.224.25414.224.224.255254
22614.224.225.0/2414.224.225.1 to 14.224.225.25414.224.225.255254
22714.224.226.0/2414.224.226.1 to 14.224.226.25414.224.226.255254
22814.224.227.0/2414.224.227.1 to 14.224.227.25414.224.227.255254
22914.224.228.0/2414.224.228.1 to 14.224.228.25414.224.228.255254
23014.224.229.0/2414.224.229.1 to 14.224.229.25414.224.229.255254
23114.224.230.0/2414.224.230.1 to 14.224.230.25414.224.230.255254
23214.224.231.0/2414.224.231.1 to 14.224.231.25414.224.231.255254
23314.224.232.0/2414.224.232.1 to 14.224.232.25414.224.232.255254
23414.224.233.0/2414.224.233.1 to 14.224.233.25414.224.233.255254
23514.224.234.0/2414.224.234.1 to 14.224.234.25414.224.234.255254
23614.224.235.0/2414.224.235.1 to 14.224.235.25414.224.235.255254
23714.224.236.0/2414.224.236.1 to 14.224.236.25414.224.236.255254
23814.224.237.0/2414.224.237.1 to 14.224.237.25414.224.237.255254
23914.224.238.0/2414.224.238.1 to 14.224.238.25414.224.238.255254
24014.224.239.0/2414.224.239.1 to 14.224.239.25414.224.239.255254
24114.224.240.0/2414.224.240.1 to 14.224.240.25414.224.240.255254
24214.224.241.0/2414.224.241.1 to 14.224.241.25414.224.241.255254
24314.224.242.0/2414.224.242.1 to 14.224.242.25414.224.242.255254
24414.224.243.0/2414.224.243.1 to 14.224.243.25414.224.243.255254
24514.224.244.0/2414.224.244.1 to 14.224.244.25414.224.244.255254
24614.224.245.0/2414.224.245.1 to 14.224.245.25414.224.245.255254
24714.224.246.0/2414.224.246.1 to 14.224.246.25414.224.246.255254
24814.224.247.0/2414.224.247.1 to 14.224.247.25414.224.247.255254
24914.224.248.0/2414.224.248.1 to 14.224.248.25414.224.248.255254
25014.224.249.0/2414.224.249.1 to 14.224.249.25414.224.249.255254
25114.224.250.0/2414.224.250.1 to 14.224.250.25414.224.250.255254
25214.224.251.0/2414.224.251.1 to 14.224.251.25414.224.251.255254
25314.224.252.0/2414.224.252.1 to 14.224.252.25414.224.252.255254
25414.224.253.0/2414.224.253.1 to 14.224.253.25414.224.253.255254
25514.224.254.0/2414.224.254.1 to 14.224.254.25414.224.254.255254
25614.224.255.0/2414.224.255.1 to 14.224.255.25414.224.255.255254

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses